# Uses of Class
net.shibboleth.idp.saml.saml2.profile.impl.SAMLAuthnContext

Packages that use SAMLAuthnContext
Package
Description
net.shibboleth.idp.saml.saml2.profile.impl
Profile processing actions related to SAML 2 messages.

## Uses of SAMLAuthnContext in net.shibboleth.idp.saml.saml2.profile.impl

Fields in net.shibboleth.idp.saml.saml2.profile.impl declared as SAMLAuthnContext
Modifier and Type
Field
Description
`private SAMLAuthnContext`
ValidateSAMLAuthentication.`samlAuthnContext`
Context containing the result to validate.
Fields in net.shibboleth.idp.saml.saml2.profile.impl with type parameters of type SAMLAuthnContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,SAMLAuthnContext>`
ProcessAssertionsForAuthentication.`samlContextLookupStrategy`
Lookup strategy to locate the SAML context.
`private Function<ProfileRequestContext,SAMLAuthnContext>`
SAMLAuthnController.`samlContextLookupStrategy`
Lookup strategy to locate the SAML context.
Methods in net.shibboleth.idp.saml.saml2.profile.impl that return SAMLAuthnContext
Modifier and Type
Method
Description
`SAMLAuthnContext`
SAMLAuthnContext.`setAuthnStatement(AuthnStatement statement)`
Set the SAML `AuthnStatement` from the authentication.
`SAMLAuthnContext`
SAMLAuthnContext.`setOutboundMessageHandler(MessageHandler handler)`
Set the outbound `MessageHandler` to run prior to encoding.
`SAMLAuthnContext`
SAMLAuthnContext.`setSubject(Subject sub)`
Set the SAML `Subject` from the authentication.
Method parameters in net.shibboleth.idp.saml.saml2.profile.impl with type arguments of type SAMLAuthnContext
Modifier and Type
Method
Description
`void`
ProcessAssertionsForAuthentication.`setSAMLAuthnContextLookupStrategy(Function<ProfileRequestContext,SAMLAuthnContext> strategy)`
Set the lookup strategy used to locate the `SAMLAuthnContext`.
`void`
SAMLAuthnController.`setSAMLAuthnContextLookupStrategy(Function<ProfileRequestContext,SAMLAuthnContext> strategy)`
Set the lookup strategy used to locate the `SAMLAuthnContext`.